<?php
/**
 * Global Color Options.
 *
 * @package business_office
 */

// Add Panel.
$wp_customize->add_panel('global_color_option_panel',
	array(
	'title'      => __( 'Global Color Options', 'business-office' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	)
);

/*Global Color Options*/
$wp_customize->add_section('business_office_global_color_section', array(
    'priority'       => 1,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Global Color Options', 'business-office'),
    'panel'       => 'global_color_option_panel',
));

$wp_customize->add_setting( 'business_office_global_color',
    array(
    'default'           => '#F17B01',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'business_office_global_color',
    array(
        'label'      => esc_html__( 'Primary Color', 'business-office' ),
        'section'    => 'business_office_global_color_section',
        'settings'   => 'business_office_global_color',
    ) ) 
);

$wp_customize->add_setting( 'business_office_secondary_color',
    array(
    'default'           => '#FDC607',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'business_office_secondary_color',
    array(
        'label'      => esc_html__( 'Secondary Color', 'business-office' ),
        'section'    => 'business_office_global_color_section',
        'settings'   => 'business_office_secondary_color',
    ) ) 
);